Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class WrapperCollections.AbstractWrapperCollection

`java.lang.Object
com.tangosol.util.WrapperCollections.AbstractWrapperCollection`

All Implemented Interfaces:
  Iterable, Collection

Direct Known Subclasses:
  WrapperCollections.AbstractWrapperList, WrapperCollections.AbstractWrapperSet

Enclosing class:
  WrapperCollections

      public abstract static class WrapperCollections.AbstractWrapperCollection

extends Object
implements Collection

Collection implementation which delegates all calls to another Collection.

Field Summary
`protected Collection` | `m_colDelegate` The Collection to which this wrapper delegates.

Constructor Summary
`protected` | `WrapperCollections.AbstractWrapperCollection(Collection col)` Create an AbstractWrapperCollection which delegates to the specified Collection.

Method Summary
`boolean` | `add(Object o)` Ensures that this collection contains the specified element (optional operation).
`boolean` | `addAll(Collection c)` Adds all of the elements in the specified collection to this collection (optional operation).
`void` | `clear()` Removes all of the elements from this collection (optional operation).
`boolean` | `contains(Object o)` Returns `true` if this collection contains the specified element.
`boolean` | `containsAll(Collection c)` Returns `true` if this collection contains all of the elements in the specified collection.
`boolean` | `equals(Object o)` Compares the specified object with this collection for equality.
`protected Collection` | `getDelegate()` Return the Collection to which all operations should be delegated to.
`int` | `hashCode()` Returns the hash code value for this collection.
`boolean` | `isEmpty()` Returns `true` if this collection contains no elements.
`Iterator` | `iterator()` Returns an iterator over a set of elements of type T.
`boolean` | `remove(Object o)` Removes a single instance of the specified element from this collection, if it is present (optional operation).
`boolean` | `removeAll(Collection c)` Removes all this collection's elements that are also contained in the specified collection (optional operation).
`boolean` | `retainAll(Collection c)` Retains only the elements in this collection that are contained in the specified collection (optional operation).
`int` | `size()` Returns the number of elements in this collection.
`Object[]` | `toArray()` Returns an array containing all of the elements in this collection.
`Object[]` | `toArray(Object[] a)` Returns an array containing all of the elements in this collection; the runtime type of the returned array is that of the specified array.

Field Detail

### m_colDelegate

    protected Collection m_colDelegate

  The Collection to which this wrapper delegates.

Constructor Detail

### WrapperCollections.AbstractWrapperCollection

    protected WrapperCollections.AbstractWrapperCollection(Collection col)

  Create an AbstractWrapperCollection which delegates to the specified Collection.
  Parameters:
    `col` - the Collection to delegate all calls to

Method Detail

### getDelegate

    protected Collection getDelegate()

  Return the Collection to which all operations should be delegated to.
  Returns:
    the wrapped Collection

### size

    public int size()

  Returns the number of elements in this collection. If this collection contains more than `Integer.MAX_VALUE` elements, returns `Integer.MAX_VALUE`.
  Specified by:
    `size` in interface `Collection`
  Returns:
    the number of elements in this collection

### isEmpty

    public boolean isEmpty()

  Returns `true` if this collection contains no elements.
  Specified by:
    `isEmpty` in interface `Collection`
  Returns:
    `true` if this collection contains no elements

### contains

    public boolean contains(Object o)

  Returns `true` if this collection contains the specified element. More formally, returns `true` if and only if this collection contains at least one element `e` such that `(o==null ? e==null : o.equals(e))`.
  Specified by:
    `contains` in interface `Collection`
  Parameters:
    `o` - element whose presence in this collection is to be tested.
  Returns:
    `true` if this collection contains the specified element

### iterator

    public Iterator iterator()

  Returns an iterator over a set of elements of type T.
  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Returns:
    an Iterator.

### toArray

    public Object[] toArray()

  Returns an array containing all of the elements in this collection. If the collection makes any guarantees as to what order its elements are returned by its iterator, this method must return the elements in the same order.

  The returned array will be "safe" in that no references to it are maintained by this collection. (In other words, this method must allocate a new array even if this collection is backed by an array). The caller is thus free to modify the returned array.

  This method acts as bridge between array-based and collection-based APIs.

  Specified by:
    `toArray` in interface `Collection`
  Returns:
    an array containing all of the elements in this collection

### toArray

    public Object[] toArray(Object[] a)

  Returns an array containing all of the elements in this collection; the runtime type of the returned array is that of the specified array. If the collection fits in the specified array, it is returned therein. Otherwise, a new array is allocated with the runtime type of the specified array and the size of this collection.

  If this collection fits in the specified array with room to spare (i.e., the array has more elements than this collection), the element in the array immediately following the end of the collection is set to `null`. This is useful in determining the length of this collection only if the caller knows that this collection does not contain any `null` elements.)

  If this collection makes any guarantees as to what order its elements are returned by its iterator, this method must return the elements in the same order.

  Like the `toArray` method, this method acts as bridge between array-based and collection-based APIs. Further, this method allows precise control over the runtime type of the output array, and may, under certain circumstances, be used to save allocation costs

  Suppose `l` is a `List` known to contain only strings. The following code can be used to dump the list into a newly allocated array of `String`:

           String[] x = (String[]) v.toArray(new String[0]);

  Note that `toArray(new Object[0])` is identical in function to `toArray()`.

  Specified by:
    `toArray` in interface `Collection`
  Parameters:
    `a` - the array into which the elements of this collection are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose.
  Returns:
    an array containing the elements of this collection

### add

    public boolean add(Object o)

  Ensures that this collection contains the specified element (optional operation). Returns `true` if this collection changed as a result of the call. (Returns `false` if this collection does not permit duplicates and already contains the specified element.)

  Collections that support this operation may place limitations on what elements may be added to this collection. In particular, some collections will refuse to add `null` elements, and others will impose restrictions on the type of elements that may be added. Collection classes should clearly specify in their documentation any restrictions on what elements may be added.

  If a collection refuses to add a particular element for any reason other than that it already contains the element, it must throw an exception (rather than returning `false`). This preserves the invariant that a collection always contains the specified element after this call returns.

  Specified by:
    `add` in interface `Collection`
  Parameters:
    `o` - element whose presence in this collection is to be ensured.
  Returns:
    `true` if this collection changed as a result of the call

### remove

    public boolean remove(Object o)

  Removes a single instance of the specified element from this collection, if it is present (optional operation). More formally, removes an element `e` such that `(o==null ? e==null : o.equals(e))`, if this collection contains one or more such elements. Returns true if this collection contained the specified element (or equivalently, if this collection changed as a result of the call).
  Specified by:
    `remove` in interface `Collection`
  Parameters:
    `o` - element to be removed from this collection, if present.
  Returns:
    `true` if this collection changed as a result of the call

### containsAll

    public boolean containsAll(Collection c)

  Returns `true` if this collection contains all of the elements in the specified collection.
  Specified by:
    `containsAll` in interface `Collection`
  Parameters:
    `c` - collection to be checked for containment in this collection.
  Returns:
    `true` if this collection contains all of the elements in the specified collection
  See Also:
    `Collection.contains(Object)`

### addAll

    public boolean addAll(Collection c)

  Adds all of the elements in the specified collection to this collection (optional operation). The behavior of this operation is undefined if the specified collection is modified while the operation is in progress. (This implies that the behavior of this call is undefined if the specified collection is this collection, and this collection is nonempty.)
  Specified by:
    `addAll` in interface `Collection`
  Parameters:
    `c` - elements to be inserted into this collection.
  Returns:
    `true` if this collection changed as a result of the call
  See Also:
    `Collection.add(Object)`

### retainAll

    public boolean retainAll(Collection c)

  Retains only the elements in this collection that are contained in the specified collection (optional operation). In other words, removes from this collection all of its elements that are not contained in the specified collection.
  Specified by:
    `retainAll` in interface `Collection`
  Parameters:
    `c` - elements to be retained in this collection.
  Returns:
    `true` if this collection changed as a result of the call
  See Also:
    `Collection.remove(Object)`, `Collection.contains(Object)`

### removeAll

    public boolean removeAll(Collection c)

  Removes all this collection's elements that are also contained in the specified collection (optional operation). After this call returns, this collection will contain no elements in common with the specified collection.
  Specified by:
    `removeAll` in interface `Collection`
  Parameters:
    `c` - elements to be removed from this collection.
  Returns:
    `true` if this collection changed as a result of the call
  See Also:
    `Collection.remove(Object)`, `Collection.contains(Object)`

### clear

    public void clear()

  Removes all of the elements from this collection (optional operation). This collection will be empty after this method returns unless it throws an exception.
  Specified by:
    `clear` in interface `Collection`

### equals

    public boolean equals(Object o)

  Compares the specified object with this collection for equality.

  While the `Collection` interface adds no stipulations to the general contract for the `Object.equals`, programmers who implement the `Collection` interface "directly" (in other words, create a class that is a `Collection` but is not a `Set` or a `List`) must exercise care if they choose to override the `Object.equals`. It is not necessary to do so, and the simplest course of action is to rely on `Object`'s implementation, but the implementer may wish to implement a "value comparison" in place of the default "reference comparison." (The `List` and `Set` interfaces mandate such value comparisons.)

  The general contract for the `Object.equals` method states that equals must be symmetric (in other words, `a.equals(b)` if and only if `b.equals(a)`). The contracts for `List.equals` and `Set.equals` state that lists are only equal to other lists, and sets to other sets. Thus, a custom `equals` method for a collection class that implements neither the `List` nor `Set` interface must return `false` when this collection is compared to any list or set. (By the same logic, it is not possible to write a class that correctly implements both the `Set` and `List` interfaces.)

  Specified by:
    `equals` in interface `Collection`
  Parameters:
    `o` - Object to be compared for equality with this collection.
  Returns:
    `true` if the specified object is equal to this collection
  See Also:
    `Object.equals(Object)`, `Set.equals(Object)`, `List.equals(Object)`

### hashCode

    public int hashCode()

  Returns the hash code value for this collection. While the `Collection` interface adds no stipulations to the general contract for the `Object.hashCode` method, programmers should take note that any class that overrides the `Object.equals` method must also override the `Object.hashCode` method in order to satisfy the general contract for the `Object.hashCode`method. In particular, `c1.equals(c2)` implies that `c1.hashCode()==c2.hashCode()`.
  Specified by:
    `hashCode` in interface `Collection`
  Returns:
    the hash code value for this collection
  See Also:
    `Object.hashCode()`, `Object.equals(Object)`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.